// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.services' is found in services.js
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers','ngStorage', 'ngCordova'])

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider) {

})

.run(function($ionicPlatform, $localStorage) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }
    if (window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleLightContent();
    }

  // DEFAULT SETTINGS IN localStorage
  $localStorage.$default({
    activated: false,
    svg: "001"
  });
  });
})

.config(function($stateProvider, $urlRouterProvider) {

  // Ionic uses AngularUI Router which uses the concept of states
  // Learn more here: https://github.com/angular-ui/ui-router
  // Set up the various states which the app can be in.
  // Each state's controller can be found in controllers.js
  $stateProvider






  // setup an abstract state for the tabs directive
    .state('tab', {
    url: "/tab",
    abstract: true,
    templateUrl: "templates/tabs.html"
  })











    //State für die Projektansicht
  .state('tab.fruehling', {
    url: '/home/fruehling',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling.html',
      }
    }
  })


    .state('tab.sommer', {
    url: '/home/sommer',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/sommer.html',
      }
    }
  })

      .state('tab.herbst', {
    url: '/home/herbst',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst.html',
      }
    }
  })

      .state('tab.winter', {
    url: '/home/winter',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter.html',
      }
    }
  })



  //state für den Opener
  .state('tab.opener', {
    url: '/home/opener',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/tab-home-opener.html',
            controller: 'HomeCtrl'
      }
    }
  })


     //States für den Frühling
     .state('tab.blumenfee', {
    url: '/home/blumenfee',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling/tab-home-blumenfee.html',
            controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.handschmeichler', {
    url: '/home/handschmeichler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling/tab-home-handschmeichler.html',
            controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.primel', {
    url: '/home/primel',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling/tab-home-primel.html',
            controller: 'HomeCtrl'
      }
    }
  })

   .state('tab.wonneproppen', {
    url: '/home/wonneproppen',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling/tab-home-wonneproppen.html',
            controller: 'HomeCtrl'
      }
    }
  })



    //States Anleitungen Fruehling

        .state('tab.Ablumenfee', {
    url: '/home/Ablumenfee',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling/anleitungen/tab-home-Ablumenfee.html',
    controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.Ahandschmeichler', {
    url: '/home/Ahandschmeichler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling/anleitungen/tab-home-Ahandschmeichler.html',
    controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.Aprimel', {
    url: '/home/Aprimel',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling/anleitungen/tab-home-Aprimel.html',
    controller: 'HomeCtrl'
      }
    }
  })

   .state('tab.Awonneproppen', {
    url: '/home/Awonneproppen',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling/anleitungen/tab-home-Awonneproppen.html',
    controller: 'HomeCtrl'
      }
    }
  })

  //Videos für den Frühling


     .state('tab.Vhandschmeichler', {
    url: '/home/Vhandschmeichler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/fruehling/videos/tab-home-Vhandschmeichler.html',

      }
    }
  })





 //States für den Sommer

     .state('tab.almrausch', {
    url: '/home/almrausch',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/sommer/tab-home-almrausch.html',
            controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.sternschnupperl', {
    url: '/home/sternschnupperl',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/sommer/tab-home-sternschnupperl.html',
            controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.bergsteiger', {
    url: '/home/bergsteiger',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/sommer/tab-home-bergsteiger.html',
            controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.bellaluna', {
    url: '/home/bellaluna',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/sommer/tab-home-bellaluna.html',
            controller: 'HomeCtrl'
      }
    }
  })

  //Anleitungen für den Sommmer

    .state('tab.Aalmrausch', {
    url: '/home/Aalmrausch',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/sommer/anleitungen/tab-home-Aalmrausch.html',
    controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.Asternschnupperl', {
    url: '/home/Asternschnupperl',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/sommer/anleitungen/tab-home-Asternschnupperl.html',
    controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.Abergsteiger', {
    url: '/home/Abergsteiger',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/sommer/anleitungen/tab-home-Abergsteiger.html',
    controller: 'HomeCtrl'
      }
    }
  })

     .state('tab.Abellaluna', {
    url: '/home/Abellaluna',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/sommer/anleitungen/tab-home-Abellaluna.html',
    controller: 'HomeCtrl'
      }
    }
  })




   //States für den Herbst


    .state('tab.farbensammler', {
    url: '/home/farbensammler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/tab-home-farbensammler.html',
            controller: 'HomeCtrl'
      }
    }
  })

      .state('tab.buntemeute', {
    url: '/home/buntemeute',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/tab-home-buntemeute.html',
            controller: 'HomeCtrl'
      }
    }
  })

      .state('tab.herbstradler', {
    url: '/home/herbstradler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/tab-home-herbstradler.html',
            controller: 'HomeCtrl'
      }
    }
  })

      .state('tab.romantiker', {
    url: '/home/romantiker',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/tab-home-romantiker.html',
            controller: 'HomeCtrl'
      }
    }
  })

        .state('tab.wilderstrampler', {
    url: '/home/wilderstrampler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/tab-home-wilderstrampler.html',
            controller: 'HomeCtrl'
      }
    }
  })




//Anleitungen für den Herbst



      .state('tab.Afarbensammler', {
    url: '/home/Afarbensammler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/anleitungen/tab-home-Afarbensammler.html',
    controller: 'HomeCtrl'
      }
    }
  })

      .state('tab.Abuntemeute', {
    url: '/home/Abuntemeute',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/anleitungen/tab-home-Abuntemeute.html',
    controller: 'HomeCtrl'
      }
    }
  })

      .state('tab.Aherbstradler', {
    url: '/home/Aherbstradler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/anleitungen/tab-home-Aherbstradler.html',
    controller: 'HomeCtrl'
      }
    }
  })

      .state('tab.Aromantiker', {
    url: '/home/Aromantiker',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/anleitungen/tab-home-Aromantiker.html',
    controller: 'HomeCtrl'
      }
    }
  })

        .state('tab.Awilderstrampler', {
    url: '/home/Awilderstrampler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/anleitungen/tab-home-Awilderstrampler.html',
    controller: 'HomeCtrl'
      }
    }
  })


  //Videos für den Herbst



    .state('tab.Vfarbensammler', {
    url: '/home/Vfarbensammler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/videos/tab-home-Vfarbensammler.html',

      }
    }
  })

      .state('tab.Vbuntemeute', {
    url: '/home/Vbuntemeute',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/videos/tab-home-Vbuntemeute.html',

      }
    }
  })



        .state('tab.Vwilderstrampler', {
    url: '/home/Vwilderstrampler',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/herbst/videos/tab-home-Vwilderstrampler.html',

      }
    }
  })


 //States für den Winter


         .state('tab.gipfelstuermer', {
    url: '/home/gipfelstuermer',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/tab-home-gipfelstuermer.html',
            controller: 'HomeCtrl'
      }
    }
  })


           .state('tab.rodlkoenig', {
    url: '/home/rodlkoenig',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/tab-home-rodlkoenig.html',
            controller: 'HomeCtrl'
      }
    }
  })

           .state('tab.sachensucher', {
    url: '/home/sachensucher',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/tab-home-sachensucher.html',
            controller: 'HomeCtrl'
      }
    }
  })

           .state('tab.strawanzer', {
    url: '/home/strawanzer',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/tab-home-strawanzer.html',
            controller: 'HomeCtrl'
      }
    }
  })


           .state('tab.skipionier', {
    url: '/home/skipionier',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/tab-home-skipionier.html',
            controller: 'HomeCtrl'
      }
    }
  })

//Anleitungen für den Winter



           .state('tab.Agipfelstuermer', {
    url: '/home/Agipfelstuermer',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/anleitungen/tab-home-Agipfelstuermer.html',
    controller: 'HomeCtrl'
      }
    }
  })


           .state('tab.Arodlkoenig', {
    url: '/home/Arodlkoenig',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/anleitungen/tab-home-Arodlkoenig.html',
    controller: 'HomeCtrl'
      }
    }
  })

           .state('tab.Asachensucher', {
    url: '/home/Asachensucher',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/anleitungen/tab-home-Asachensucher.html',
    controller: 'HomeCtrl'
      }
    }
  })

           .state('tab.Astrawanzer', {
    url: '/home/Astrawanzer',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/anleitungen/tab-home-Astrawanzer.html',
    controller: 'HomeCtrl'
      }
    }
  })


           .state('tab.Askipionier', {
    url: '/home/Askipionier',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/anleitungen/tab-home-Askipionier.html',
    controller: 'HomeCtrl'
      }
    }
  })

 //Videos für den Winter





           .state('tab.Vrodlkoenig', {
    url: '/home/Vrodlkoenig',
    views: {
      'tab-home': {
        templateUrl: 'templates/homeStates/winter/videos/tab-home-Vrodlkoenig.html',

      }
    }
  })












  // States füre den Info Tab

  .state('tab.app', {
      url: '/info/app',
      views: {
        'tab-info': {
          templateUrl: 'templates/tab-info-app.html',
        }
      }
    })



  .state('tab.impressum', {
      url: '/info/impressum',
      views: {
        'tab-info': {
          templateUrl: 'templates/tab-info-impressum.html',
        }
      }
    })


   .state('tab.legende', {
      url: '/info/legende',
      views: {
        'tab-info': {
          templateUrl: 'templates/tab-info-legende.html',
        }
      }
    })


   .state('tab.nutzung', {
      url: '/info/nutzung',
      views: {
        'tab-info': {
          templateUrl: 'templates/tab-info-nutzung.html',
        }
      }
    })


    .state('tab.datenschutz', {
      url: '/info/datenschutz',
      views: {
        'tab-info': {
          templateUrl: 'templates/tab-info-datenschutz.html',
        }
      }
    })


     .state('tab.cover', {
      url: '/home/cover',
      views: {
        'tab-home': {
          templateUrl: 'templates/tab-home-cover.html',
        }
      }
    })


    //States für die Tabs


      // Each tab has its own nav history stack:

      .state('tab.home', {
        url: '/home',
        views: {
          'tab-home': {
            templateUrl: 'templates/tab-home.html',
          }
        }
      })



    .state('tab.qr', {
        url: '/qr',
        views: {
          'tab-qr': {
            templateUrl: 'templates/tab-qr.html',
            controller: 'QrCtrl as vm'
          }
        }
      })


   .state('tab.info', {
        url: '/info',
        views: {
          'tab-info': {
            templateUrl: 'templates/tab-info.html',
          }
        }
      })



    .state('tab.muster', {
      url: '/muster',
      views: {
        'tab-muster': {
          templateUrl: 'templates/tab-muster.html',
          controller: 'MusterCtrl'
        }
      }
    });







  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('tab/home');

});
